Package org.wso2.carbon.wsdl2code.ui

## Class WSDL2CodeClient

- java.lang.Object
- - org.wso2.carbon.wsdl2code.ui.WSDL2CodeClient

-     public class WSDL2CodeClient
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `org.wso2.carbon.wsdl2code.stub.WSDL2CodeServiceStub` | `stub` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `WSDL2CodeClient​(org.apache.axis2.context.ConfigurationContext configContext, String backendServerURL, String cookie)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `codeGen​(String[] options, javax.servlet.http.HttpServletResponse response)` | invoke the back-end code generation methods and prompt to download the resulting zip file containing generated code
    `void` | `codeGenForCXF​(String[] options, javax.servlet.http.HttpServletResponse response)` | invoke the back-end CXF code generation methods and prompt to download the resulting zip file containing generated code

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### stub

          public org.wso2.carbon.wsdl2code.stub.WSDL2CodeServiceStub stub

  - ### Constructor Detail

    - #### WSDL2CodeClient

          public WSDL2CodeClient​(org.apache.axis2.context.ConfigurationContext configContext,
                                 String backendServerURL,
                                 String cookie)
                          throws org.apache.axis2.AxisFault

      Throws:
        `org.apache.axis2.AxisFault`

  - ### Method Detail

    - #### codeGen

          public void codeGen​(String[] options,
                              javax.servlet.http.HttpServletResponse response)
                       throws org.apache.axis2.AxisFault

      invoke the back-end code generation methods and prompt to download the resulting zip file containing generated code
      Parameters:
        `options` - - code generation options
        `response` - - http servlet response
      Throws:
        `org.apache.axis2.AxisFault` - in case of error

    - #### codeGenForCXF

          public void codeGenForCXF​(String[] options,
                                    javax.servlet.http.HttpServletResponse response)
                             throws org.apache.axis2.AxisFault

      invoke the back-end CXF code generation methods and prompt to download the resulting zip file containing generated code
      Parameters:
        `options` - - code generation options
        `response` - - http servlet response
      Throws:
        `org.apache.axis2.AxisFault` - in case of error